Add a new article
POST
Add a new article to portal
header
AuthorizationBearer <token>Authenticate with Authorization: Bearer <token> using a user API token from Profile Settings. Available in Chatwoot v4.19.0 and later.
account_id*integerThe numeric ID of the account
portal_slug*stringThe slug of the portal. The numeric portal ID is not accepted.
application/json- body
title?stringThe title of the article
slug?stringThe slug of the article
position?integerarticle position in category
content?stringThe text content.
description?stringThe description of the article
category_id?integerThe category id of the article
author_id?integerThe author agent id of the article
associated_article_id?integerTo associate similar articles to each other, e.g to provide the link for the reference.
status?integerThe status of the article. 0 for draft, 1 for published, 2 for archived
locale?stringThe locale of the article
meta?Use for search
Success
application/json- response
id?integercontent?stringThe text content.
meta?position?integerstatus?integerValue in
"draft""published""archived"title?stringslug?stringviews?integerportal_id?integeraccount_id?integerauthor_id?integercategory_id?integerfolder_id?integerassociated_article_id?integerTo associate similar articles to each other, e.g to provide the link for the reference.
curl -X POST 'https://helpdesk.inclamo.com/api/v1/accounts/0/portals/handbook/articles' \ -H 'Content-Type: application/json' \ -d '{}'Example Response
{ "id": 0, "content": "string", "meta": {}, "position": 0, "status": "draft", "title": "string", "slug": "string", "views": 0, "portal_id": 0, "account_id": 0, "author_id": 0, "category_id": 0, "folder_id": 0, "associated_article_id": 0}